<?php

//Hak Cipta dilindungi Undang-undang. Hak Cipta : Khamdi Rahmani, Reg. Kemenkum HAM No : 000121327. Dilarang merubah isi File tanpa ijin tertulis dari pemegang Hak Cipta. 

class captcha
{
    public function generatecaptcha()
    {
        //$alphabet = "abcdefghijklmnopqrstuwxyzABCDEFGHIJKLMNOPQRSTUWXYZ0123456789";
        $alphabet = "0123456789";

        //untuk menyatakan $pass sebagai array
        $pass = array();

        //masukkan -2 dalam string length
        $panjangAlpha = strlen($alphabet) - 2;
        for ($i = 0; $i < 5; $i++) {
            $n = rand(0, $panjangAlpha);
            $pass[] = $alphabet[$n];
        }

        //ubah array menjadi string
        return implode($pass);
    }
}
